<div id="editor-wrapper">
<%= form_for @header do |f| %>
  <div id="top-menu">
    <div id="toolbar">
      <div class="row">
        <div class="header-name col-md-4">Header Name: <%= @header.name %></div>
        <div class="split-col col-md-4">
          Split header to col: 
          <%= f.select :split_header,options_for_select((1..5).map{|r|[r,r]},@header.split_header) , :class => 'form-inline' %>
        </div>
        <div class="col-md-4"><%=  f.submit 'Save',:class => 'btn  btn-warning save-btn pull-right' %></div>
      </div>
    </div> 
    
  </div>

  <div id="side-bar" class="sidebar-width">
    <div id="side-bar-tool">
      <div class="panel-group" id="accordion">
        <div class="panel panel-default">
          <div class="panel-heading">
            <h4 class="panel-title">
              <a data-toggle="collapse" data-parent="#accordion" href="#collapseOne">
                Basic Style
              </a>
            </h4>
          </div>
          <div id="collapseOne" class="panel-collapse collapse in">
            <div class="panel-body">
              <form class="form-horizontal" role="form">
                <div class="form-group">
                  <%= f.label :height,'Header-Height' , :class=>"col-sm-12 control-label"  %>
                  <div class="col-sm-12">
                    <%= f.text_field :height,:class=>"form-control",:id=>"ex1Slider", :data => {:slider_min=>"50", :slider_max=>"100",:slider_step=>"1" ,:slider_value=>"#{ @header.height }"} %>
                  </div>
                </div>

                <div class="form-group">
                  <%= f.label :background,'Header Background' , :class=>"col-sm-6 control-label"  %>
                  <div class="col-sm-6">
                    <%= f.text_field :background, :id=>"color-picker", :class=>'colpicker headbackground' %>
                  </div>
                </div>

                <div class="form-group">
                  <%= f.label :show_border,'Border' , :class=>"col-sm-8 control-label"  %>
                  <div class="col-sm-4">
                    <%= f.check_box :show_border, :label=>false %>
                  </div>
                </div>
                 <div class="form-group">
                 <%= f.label :border_color,'- Border-Color' , :class=>"col-sm-8 control-label"  %>
                 <div class="col-sm-4">
                  <%= f.text_field :border_color, :id=>"color-picker", :class=>'colpicker bordercolor' %>
                </div>
                </div>
                 <div class="form-group">
                 <%= f.label :border_bottom,'- Border-Bottom' , :class=>"col-sm-8 control-label"  %>
                 <div class="col-sm-4" id="border_bottom">
                  <%= f.text_field :border_bottom, :class=>"form-control",:id=>"bottom-slider", :data => {:slider_min=>"0", :slider_max=>"10",:slider_step=>"1" ,:slider_value=>"#{@header.border_bottom}"} %>
                 </div>
                </div>
                 <div class="form-group">
                  <%= f.label :box_shadow,'-Box-Shadow' , :class=>"col-sm-8 control-label"  %>
                  <div class="col-sm-4">
                    <%= f.text_field :box_shadow, :class=>"form-control",:id=>"shadow-slider", :data => {:slider_min=>"0", :slider_max=>"10",:slider_step=>"1" ,:slider_value=>"#{@header.box_shadow}"} %>
                  </div>
                </div>
                <div class="form-group">
                  <%= f.label :logo,'Logo' , :class=>"col-sm-8 control-label"  %>
                  <div class="col-sm-4">
                    <%= f.file_field :logo %>
                  </div>
                </div>
                 <div class="form-group">
                   <%= f.label :add_back_button,'Add Back Button' , :class=>"col-sm-8 control-label"  %>
                   <div class="col-sm-4">
                    <%= f.check_box :add_back_button %>
                  </div>
                </div>
               
              </form>
            </div>
          </div>
        </div>
        <div class="panel panel-default">
          <div class="panel-heading">
            <h4 class="panel-title">
              <a data-toggle="collapse" data-parent="#accordion" href="#collapseTwo">
                Add-on
              </a>
            </h4>
          </div>
          <div id="collapseTwo" class="panel-collapse collapse">
            <div class="panel-body">
              <div class="social-media">  
                Social media
                <hr>
                <div class="form-group">
                  <%= f.label :soc_ex,'Social Network Icons' , :class=>"col-sm-8 control-label"  %>
                  <div class="col-sm-4">
                  <%if !(@header.twitter_page.nil?) && (@header.twitter_page != "") %>
                    <input type="checkbox" id="header-ad-soc" value="Bike" checked>
                  <%else %>
                    <input type="checkbox" id="header-ad-soc" value="Bike">
                  <% end %>
                  </div>
                </div>
                <%if !(@header.twitter_page.nil?) && (@header.twitter_page != "") %>
                  <div id="header-ad-soc-trigger">
                <%else %>
                 <div id="header-ad-soc-trigger" style="display:none">
                <%end %>
                  <div class="form-group">
                  <%= f.label :fb_page,'facebook' , :class=>"col-sm-4 control-label"  %>
                  <div class="col-sm-4">
                    <%= f.text_field :fb_page, :placeholder => "Url of that awesome thing you want to share" %>
                  </div>
                </div>
                <div class="form-group">
                  <%= f.label :twitter_page,'twitter' , :class=>"col-sm-4 control-label"  %>
                  <div class="col-sm-4">
                    <%= f.text_field :twitter_page, :placeholder => "Your Awesome Tweet" %>
                  </div>
                </div>
                </div>
              </div>
              <div class="social-media">  
                <div class="form-group">
                  <%= f.label :header_text,'Heading' , :class=>"col-sm-4 control-label"  %>
                  <div class="col-sm-4">
                    <%= f.text_field :header_text %>
                  </div>
                </div>
              </div>
              <div class="social-media">  
                <div class="form-group">
                  <%= f.label :newsletter_email,'Newsletter' , :class=>"col-sm-4 control-label"  %>
                  <div class="col-sm-4">
                    <%= f.text_field :newsletter_email %>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
<% end %>

  <div id="preview">
    <%= render :partial=>'header' %>
    <iframe src="<%= @header.site %>" width="100%" height="75%" frameborder='0'></iframe>
  </div>
  <div id="bottom-menu">
    <div class="form-group">
      <label for="inputEmail3" class="col-sm-2 control-label">Enter site for preview</label>
      <div class="col-sm-4">
        <input type="text_field" class="form-control" id="header_site" placeholder="site" value="<%= @header.site %>">
       
      </div>
       <button class="preview">Preview</button>
    </div>
  </div>

</div>

<% content_tag :javascript do %>
  jQuery(document).ready(function(){
    jQuery('#header_height').slider();
  })
<% end -%>
<script>

(function ($) {
    $("#header_add_back_button").change(function(){
      $("#header-back-btn").toggle("show");
    });
    $("#header-ad-soc").change(function(){
      $("#header-ad-soc-trigger").toggle("show");
      $("#header-ad-soc-head").toggle("show");
    });
    $("#ex1Slider").slider({
      tooltip: 'always'
    }).on('slide',function(e){
      $('.header-ad').css({'height':e.value})
    });
    $("#shadow-slider").slider({
      tooltip: 'always'
    });
    $("#bottom-slider").slider({
      tooltip: 'always'
    }).on('slide',function(e){
      $('.header-ad').css({'border-bottom':e.value+"px solid"})
    });
    $('.colpicker').each(function(){
      var style = "#"+$(this).attr('value');
      $(this).css('border-color',style);
    })
   
    $('.colpicker').colpick({
      layout:'hex',
      submit:0,
      colorScheme:'dark',
      onChange:function(hsb,hex,rgb,el,bySetColor) {
        $(el).css('border-color','#'+hex);
        // Fill the text box just if the color was set using the picker, and not the colpickSetColor function.
        if(!bySetColor) $(el).val(hex);
        if($(el).hasClass('headbackground')){
          $('.header-ad').css({'background-color': '#'+hex});
        }
        if($(el).hasClass('bordercolor')){
          $('.header-ad').css({'border-color': '#'+hex});
        }
      }
    }).keyup(function(){
      $(this).colpickSetColor(this.value);
    })
    $('.colpick').css('z-index',9999);
    $('#header_add_back_button').click(function () {
        $("#back_button").toggle(this.checked);
    });
    
  })(jQuery);
  $(document).on('click','.preview',function(){
    var url = String($('#header_site').val())
    $('iframe').attr('src', url);
  });
  
  showImagePreview('#header_logo','.logo img');
  function assign(){
    var width = $("#border_bottom .slider-selection")[0].style.width;
    $("#border_bottom input")[0].value = width;
  }
</script>
<!-- facebook like code -->
<div id="fb-root"></div>
<script>
  (function(d, s, id) {
    var js, fjs = d.getElementsByTagName(s)[0];
    if (d.getElementById(id)) return;
    js = d.createElement(s); js.id = id;
    js.src = "//connect.facebook.net/en_US/sdk.js#xfbml=1&appId=433146980055767&version=v2.0";
    fjs.parentNode.insertBefore(js, fjs);
  }(document, 'script', 'facebook-jssdk'));

  // twitter script
  !function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0];if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src="https://platform.twitter.com/widgets.js";fjs.parentNode.insertBefore(js,fjs);}}(document,"script","twitter-wjs");

</script>
<style>
  .adj_show{
    position:fixed;
    top: 50px;;
    left: 0px;
    right: 0;
    z-index: 9999;
  }
</style>